/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client;

import com.gwtext.client.widgets.Panel;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class AbstractPanel extends Panel implements AdminPanel {
	protected AdminModule mAdminModule = null;
	
	protected AbstractPanel(AdminModule adminModule)
	{
		mAdminModule = adminModule;
	}

	/**
	 * @return the adminModule
	 */
	public AdminModule getAdminModule() {
		return mAdminModule;
	}

	/**
	 * @param adminModule the adminModule to set
	 */
	public void setAdminModule(AdminModule adminModule) {
		mAdminModule = adminModule;
	}
}
